Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## dioscuri.module.ata
Enum ATADriveType

    java.lang.Object
      java.lang.Enum<ATADriveType>
          dioscuri.module.ata.ATADriveType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ATADriveType>

    public enum ATADriveType

extends java.lang.Enum<ATADriveType>

An enumeration representing the types of drives available for the ATA AbstractModule.

Enum Constant Summary
`CDROM`
`HARD_DISK`
`NONE`

Method Summary
`java.lang.String` | `toString()` get the name of the drive type.
`static ATADriveType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ATADriveType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final ATADriveType NONE

### HARD_DISK

    public static final ATADriveType HARD_DISK

### CDROM

    public static final ATADriveType CDROM

Method Detail

### values

    public static ATADriveType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ATADriveType c : ATADriveType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ATADriveType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  get the name of the drive type.

  Overrides:
    `toString` in class `java.lang.Enum<ATADriveType>`
  Returns:
    the name of the drive type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD